Subject: RE: [netlmm] Today's discussion about multihomed MNs

From: "Sri Gundavelli" <[email-masked]>
Date: Mon, 30 Jul 2007 07:34:20 -0700

Hi Mohana,

> Hi Sri,
> 
> My name is Mohana and working for panasonic and interested in
> multi-interface MN in a PMIP domain. My views are in-line for your
> previous mail:
> >-----Original Message-----
> >From: Sri Gundavelli [mailto:[email-masked]] 
> >Sent: Thursday, July 26, 2007 4:38 AM
> >To: 'Ashutosh Dutta'; 'Jong-Hyouk Lee'
> >Cc: [email-masked]
> >Subject: RE: [netlmm] Today's discussion about multihomed MNs
> 
> >Hi Ashutosh/Jong-Hyouk,
> 
> - >It introduces some challenges from the host perspective,
>   >two interfaces being on the same home network prefix.
> 
> In PMIP domain if there is a multi-interface MN present, each 
> interface
> will receive the same prefix(per MN-prefix). I don't see an 
> issue here,
> because the prefixes(same prefix) are unicasted to each 
> interface of MN
> via different MAGs. Thus as far as routing is concerned, there is no
> issue because different MAGs will have a routing state to the same MN
> prefix tied to different link-layer address of MN interface. 
> Of course,
> the LMA needs some multihoming support to maintain the same prefix
> binding for the MN pointing to different MAGs (multi-homing support). 
> 
> >Some host stacks may not be able to handle the same
> >address configuration over multiple interfaces. 
> I think whether to configure same address for MN interfaces in PMIP
> needs to be looked into in detail. Keeping the same address when
> switching interface when roaming from one access technology to another
> access technology may reduce vertical hand-off latency in PMIP. But,
> when configuring same address for both interfaces, benefits 
> needs to be
> explored. Also, again in my opinion, having the same address for both
> interfaces may not be a problem in PMIP domain, bcos interfaces are
> attached to different MAGs and the routing state at MAG is 
> such that it
> binds MNs unique prefix to the link layer address of MN's interface. 
> BR,
> Mohana
> 
> 

Couple of points:

1. Handoff from one access technology to the other is not issue. In other
words, the mobile can certainly be attached to MAG-1 on WiMAX and later
handoff to MAG-2 over CDMA. At any point, there is only one RADIO/interface
that is able to receive the RA's for the mobile node's home network prefix.
The host IPv6 stack will be able to configure one or more addresses on
only one interface from its home network prefix, at any point of time. 

2. From the perspective of the LMA, for allowing the other case of the
mobile node configuring an address from its home network prefix on multiple
interfaces, simultaneously, is not an issue. It can create a prefix route
over each of the LMA-MAG tunnels and can choose to bi-cast the data packets.
This is more like a simultaneous bindings and is not an issue.

3. There is no issue on each of the attached MAG's, for sending RA's on
the respective access links.

4. My concerns are on the host side. For each of the address configuration
mechanisms, I do not see how the host will end up configuring the same
identifier on both the interfaces and further how the routing table will
look in such scenario.

I do not know if there is a config option in Linux 2.6 kernel, that allows
the host to access the LAN over multiple interfaces and with the same L3
address configuration.

Autoconf:>
If the interface identifiers are based on EUI-64, the generated addresses
will be different on each of the interfaces, as the MAC addresses are
different.

DHCPv6:>
The DHCP server will allocate a unique address for each of the interfaces,
for each of the DHCP query.

Packet Duplicates:>
The LMA may choose to bicast the packets over each of the tunnel, but the
host
will receive duplicate packet for every packet that it receives.

Default Gateway:>
The host needs to maintain multiple default gateways over multiple
interfaces.
May not be an issue. But, needs to verify the behavior of the current IPv6
stacks for this configuration.

I think, changes will be required on the host stack to achieve this.
Otherwise,
no issue.

Sri

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Premec, Domagoj" <[email-masked]>
Date: Tue, 31 Jul 2007 15:21:46 +0200

Sri,

> I do not know if there is a config option in Linux 2.6 
> kernel, that allows the host to access the LAN over multiple 
> interfaces and with the same L3 address configuration.

The channel bonding feature allows for several L2 links to share the same IP configuration, i.e. it supports aggregation of multiple NICs into a single link from the IP layer perspective. This could be one way to circumvent the PMIP multihoming problem.

domagoj

> Sent: 30. srpanj 2007 16:34
> To: 'Mohana Jeyatharan'
> Cc: [email-masked]
> > interface will receive the same prefix(per MN-prefix). I 
> don't see an 
> > issue here, because the prefixes(same prefix) are unicasted to each 
> > interface of MN via different MAGs. Thus as far as routing is 
> > concerned, there is no issue because different MAGs will have a 
> > routing state to the same MN prefix tied to different link-layer 
> > address of MN interface.
> > Of course,
> > >Some host stacks may not be able to handle the same address 
> > >configuration over multiple interfaces.
> needs to 
> > be explored. Also, again in my opinion, having the same address for 
> > both interfaces may not be a problem in PMIP domain, bcos 
> interfaces 
> > are attached to different MAGs and the routing state at MAG is such 
> > that it binds MNs unique prefix to the link layer address of MN's 
> > interface.
> > BR,
> > Mohana
> > 
> > 
> 
> 
> Couple of points:
> 
> 1. Handoff from one access technology to the other is not 
> issue. In other words, the mobile can certainly be attached 
> to MAG-1 on WiMAX and later handoff to MAG-2 over CDMA. At 
> any point, there is only one RADIO/interface that is able to 
> receive the RA's for the mobile node's home network prefix.
> The host IPv6 stack will be able to configure one or more 
> addresses on only one interface from its home network prefix, 
> at any point of time. 
> 
> 2. From the perspective of the LMA, for allowing the other 
> case of the mobile node configuring an address from its home 
> network prefix on multiple interfaces, simultaneously, is not 
> an issue. It can create a prefix route over each of the 
> LMA-MAG tunnels and can choose to bi-cast the data packets.
> 3. There is no issue on each of the attached MAG's, for 
> sending RA's on the respective access links.
> 
> 4. My concerns are on the host side. For each of the address 
> configuration mechanisms, I do not see how the host will end 
> up configuring the same identifier on both the interfaces and 
> further how the routing table will look in such scenario.
> 
> I do not know if there is a config option in Linux 2.6 
> kernel, that allows the host to access the LAN over multiple 
> interfaces and with the same L3 address configuration.
> 
> Autoconf:>
> If the interface identifiers are based on EUI-64, the 
> generated addresses will be different on each of the 
> interfaces, as the MAC addresses are different.
> 
> DHCPv6:>
> The DHCP server will allocate a unique address for each of 
> the interfaces, for each of the DHCP query.
> 
> Packet Duplicates:>
> The LMA may choose to bicast the packets over each of the 
> tunnel, but the host will receive duplicate packet for every 
> packet that it receives.
> 
> Default Gateway:>
> The host needs to maintain multiple default gateways over 
> multiple interfaces.
> May not be an issue. But, needs to verify the behavior of the 
> current IPv6 stacks for this configuration.
> 
>